#include "itempane.h"

ItemPane::ItemPane(QWidget* &parent) :
    QListWidget(parent)
{

}

QSize ItemPane::sizeHint() const
{
  QSize maxSize = QSize(0,0);
  for ( int i = 0; i < this->count(); i++ ) {
    const QModelIndex index = model()->index( i, 0 );
    const QSize tmpSize = this->sizeHintForIndex(index);

    if (tmpSize.width() > maxSize.width())
        maxSize.setWidth(tmpSize.width());
    if (tmpSize.height() > maxSize.height())
        maxSize.setHeight(tmpSize.height());
  }

  return QSize( maxSize.width() + rect().width() - contentsRect().width(), this->height());
}
QSize ItemPane::itemSizeHint() const
{
  QSize maxSize = QSize(0,0);
  for ( int i = 0; i < this->count(); i++ ) {
    const QModelIndex index = model()->index( i, 0 );
    const QSize tmpSize = this->sizeHintForIndex(index);

    if (tmpSize.width() > maxSize.width())
        maxSize.setWidth(tmpSize.width());
    if (tmpSize.height() > maxSize.height())
        maxSize.setHeight(tmpSize.height());
  }

  return QSize( maxSize.width(), maxSize.height());
}
